alpine-kernel-modules 411 Bytes
Newer Older
1 2 3 4 5 6 7 8 9 10 11 12
#!/bin/sh
# Explorer for the __jool type to determine if we need the -virt or the -lts modules.

[ "$(sh -e "${__explorer:?}"/os)" = 'alpine' ] || exit 0

case $(uname -r) in
*-virt)
	printf "jool-modules-virt"
	;;
*-lts)
	printf "jool-modules-lts"
	;;
13 14 15 16 17 18
*)
	cat <<- EOF >&2
	Incompatible kernel version found - could not install jool kernel
	modules. Please use one of linux-lts or linux-virt.
	EOF
	exit 1
19
esac